Skip to main content
GET
/
absence_types
Abwesenheitsarten auflisten
curl --request GET \
  --url https://{tenant}.stamp.eu/rest/absence_types \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "name": "<string>",
      "category": "<string>",
      "unit": "day",
      "color": "<string>",
      "icon": "<string>",
      "is_system": true,
      "half_day_allowed": true,
      "affects_vacation": true,
      "target_work_factor": 0.5,
      "working_time_flag": 123,
      "requires_approval": true,
      "is_paid": true,
      "certificate_required": true,
      "certificate_deadline_days": 123,
      "substitute_option": "<string>",
      "count_weekdays_only": true,
      "is_active": true,
      "sort_order": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include_inactive
boolean

Response

Array of AbsenceTypeResource

data
object[]
required